package com.ruoyi.ss.store.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

/**
 * @author wjh
 * 2024/11/27
 */
@Data
public class StoreOperatorVO {

    @ApiModelProperty("查看设备列表")
    private Boolean viewDevice;

    @ApiModelProperty("修改店铺信息")
    private Boolean update;

    @ApiModelProperty("配置店铺信息")
    private Boolean config;

    @ApiModelProperty("注销店铺")
    private Boolean del;

    @ApiModelProperty("添加合伙人")
    private Boolean addStaff;

    public static StoreOperatorVO defaultInstance() {
        StoreOperatorVO vo = new StoreOperatorVO();
        vo.setViewDevice(false);
        vo.setUpdate(false);
        vo.setConfig(false);
        vo.setDel(false);
        vo.setAddStaff(false);
        return vo;
    }

}
